$pref::barricades::itemDeleteTime = 15000;
datablock staticShapeData(barricade_weak)
{
	shapefile = "./barricade_weak.dts";
	initSize = "1 1 1";
	isBarricade = true;
	maxDamage = 100;
	wearResist = 4;
	repairRate = 2.5;
};

datablock staticShapeData(barricade_medium)
{
	shapefile = "./barricade_medium.dts";
	initSize = "1 1 1";
	isBarricade = true;
	maxDamage = 150;
	wearResist = 8;
	repairRate = 1.5;
};

datablock staticShapeData(barricade_strong)
{
	shapefile = "./barricade_strong.dts";
	initSize = "1 1 1";
	isBarricade = true;
	maxDamage = 200;
	wearResist = 12;
	repairRate = 1;
};

datablock ParticleData(barricade_destroy_debrisParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= -0.5;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 600;
	lifetimeVarianceMS	= 150;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= true;
	animateTexture		= false;

	textureName		= "base/data/particles/star1";
	colors[0]	= "0.0 0.0 0.0 0.5";
	colors[1]	= "0.0 0.0 0.0 1.0";
   	colors[2]	= "0.0 0.0 0.0 0.0";

	sizes[0]	= 0.6;
	sizes[1]	= 0.3;
   	sizes[2]	= 0.2;

	times[0]	= 0.0;
	times[1]	= 0.1;
};

datablock ParticleEmitterData(barricade_destroy_debrisEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 0;
   ejectionVelocity = 8;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 40;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "barricade_destroy_debrisParticle";
};

datablock DebrisData(barricade_weak_debris)
{
   	emitters = "barricade_destroy_debrisEmitter";

	shapeFile = "./barricade_weak_debris.dts";
	lifetime = 4.0;
	minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	fade = true;

	gravModifier = 1;
};

datablock ExplosionData(barricade_weak_debrisExplosion : vehicleFinalExplosion)
{
	debris = barricade_weak_debris;
	debrisNum = 5;
  	debrisThetaMin = 0;
   	debrisThetaMax = 20;
	debrisVelocity = 9;
	debrisVelocityVariance = 3;
};

datablock ProjectileData(barricade_weak_debrisProjectile : vehicleFinalExplosionProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 0;
	explosion = barricade_weak_debrisExplosion;
	explodeOnDeath = 1;
	lifetime = 0;
	armingdelay = 0;
};

datablock DebrisData(barricade_medium_debris)
{
   	emitters = "barricade_destroy_debrisEmitter";

	shapeFile = "./barricade_medium_debris.dts";
	lifetime = 4.0;
	minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	fade = true;

	gravModifier = 1;
};

datablock ExplosionData(barricade_medium_debrisExplosion : vehicleFinalExplosion)
{
	debris = barricade_medium_debris;
	debrisNum = 4;
  	debrisThetaMin = 0;
   	debrisThetaMax = 20;
	debrisVelocity = 16;
	debrisVelocityVariance = 5;
};

datablock ProjectileData(barricade_medium_debrisProjectile : vehicleFinalExplosionProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 0;
	explosion = barricade_medium_debrisExplosion;
	explodeOnDeath = 1;
	lifetime = 0;
	armingdelay = 0;
};

datablock DebrisData(barricade_strong_debris)
{
   	emitters = "barricade_destroy_debrisEmitter";

	shapeFile = "./barricade_strong_debris.dts";
	lifetime = 4.0;
	minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	fade = true;

	gravModifier = 1;
};

datablock ExplosionData(barricade_strong_debrisExplosion : vehicleFinalExplosion)
{
	debris = barricade_strong_debris;
	debrisNum = 5;
  	debrisThetaMin = 0;
   	debrisThetaMax = 20;
	debrisVelocity = 9;
	debrisVelocityVariance = 3;
};

datablock ProjectileData(barricade_strong_debrisProjectile : vehicleFinalExplosionProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 0;
	explosion = barricade_strong_debrisExplosion;
	explodeOnDeath = 1;
	lifetime = 0;
	armingdelay = 0;
};



datablock ParticleData(spawnCadeParticle2)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.1 0.9 0.2 1";
	colors[1]     = "0.4 0.8 0.6 1";
	sizes[0]      = 0.3;
	sizes[1]      = 0.7;
	times[0] = 0.1;
	times[1] = 0.2;
	times[2] = 0.3;

	useInvAlpha = true;
};
datablock ParticleEmitterData(spawnCadeEmitter2)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 0.2;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "spawnCadeParticle2";

   emitterNode = NinthEmitterNode;
};

datablock ParticleData(spawnCadeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 700;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/nut";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.9 0.9 0.2 1";
	colors[1]     = "0.9 0.5 0.1 1";
	sizes[0]      = 0.3;
	sizes[1]      = 0.4;

	useInvAlpha = true;
};
datablock ParticleEmitterData(spawnCadeEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 0.2;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "spawnCadeParticle";

   emitterNode = TenthEmitterNode;
};

datablock ExplosionData(spawnCadeExplosion)
{
	soundProfile = rocketExplodeSound;

   	lifeTimeMS = 300;
	emitter[0] = spawnCadeEmitter2;

   	particleEmitter = spawnCadeEmitter;
   	particleDensity = 40;
   	particleRadius = 0.1;

   	faceViewer     = true;
   	explosionScale = "1 1 1";

   	impulseRadius = 6;
   	impulseForce = 1000;

   	shakeCamera = true;
   	camShakeFreq = "5.0 12.0 6.0";
   	camShakeAmp = "3.0 8.0 6.0";
   	camShakeDuration = 0.2;
   	camShakeRadius = 5.0;
};

datablock ProjectileData(spawnCadeProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 6;
	explosion = spawnCadeExplosion;
	explodeOnDeath = 1;
	lifetime = 0;
	armingdelay = 0;
};