if(!isObject(recipeSS))
{
	new SimSet(recipeSS){};
}

function addBarricadeRecipe(%name, %planks, %bricks, %logs, %braces, %nails) //trying to make this least hardcoded as possible
{
	for(%i = 0; %i < recipeSS.getCount(); %i++)
	{
		%o = recipeSS.getObject(%i);
		%rname = %o.name;
		if(%rname $= %name)
		{
			error("addBarricadeRecipe - already have recipe " @ %name);
		}
	}
	%so = new ScriptObject()
	{
		name = %name;
		planks = %planks;
		bricks = %bricks;
		logs = %logs;
		braces = %braces;
		nails = %nails;
	};
	recipeSS.add(%so);
}

addBarricadeRecipe("weak", 6, 0, 0, 0, 5);
addBarricadeRecipe("medium", 0, 0, 4, 8, 2);
addBarricadeRecipe("strong", 0, 12, 0, 0, 2);

//alot of these func's are just repeats except for new purposes that can be useful

function gameConnection::canCraftBarricades(%client)
{
	%planks = %client.barricade_planks;
	%bricks = %client.barricade_bricks;
	%logs = %client.barricade_logs;
	%braces = %client.barricade_braces;
	%nails = %client.barricade_nails;

	for(%i=0;%i<recipeSS.getCount();%i++)
	{
		%r = recipeSS.getObject(%i);

		%need1 = %r.planks != 0;
		%need2 = %r.bricks != 0;
		%need3 = %r.logs != 0;
		%need4 = %r.braces != 0;
		%need5 = %r.nails != 0;

		%got1 = false;
		%got2 = false;
		%got3 = false;
		%got4 = false;
		%got5 = false;

		if(%planks >= %r.planks && %need1)
		{
			%got1 = true;
		}
		if(%bricks >= %r.bricks && %need2)
		{
			%got2 = true;
		}
		if(%logs >= %r.logs && %need3)
		{
			%got3 = true;
		}
		if(%braces >= %r.braces && %need4)
		{
			%got4 = true;
		}
		if(%nails >= %r.nails && %need5)
		{
			%got5 = true;
		}
		%end = 1;
		for(%s = 1; %s <= 5; %s++)
		{
			%need = %need[%s];
			if(%need)
			{
				%got = %got[%s];
				%end = %end & %got;
			}
		}
		if(%end)
		{
			return true;
		}
	}
	return false;
}

function gameConnection::subtractBarricadeMaterials(%client, %barricadename)
{
	for(%i=0;%i<recipeSS.getCount();%i++)
	{
		%r = recipeSS.getObject(%i);
		
		if(%r.name !$= %barricadename)
		{
			continue;
		}
		
		%reqPlanks = %r.planks;
		%reqBricks = %r.bricks;
		%reqBraces = %r.braces;
		%reqNails = %r.nails;
		%reqLogs = %r.logs;

		%client.barricade_planks -= %reqPlanks;
		%client.barricade_bricks -= %reqBricks;
		%client.barricade_braces -= %reqBraces;
		%client.barricade_nails -= %reqNails;
		%client.barricade_logs -= %reqLogs;
	}
}

function gameConnection::canCraftBarricade(%client, %bname)
{
	%planks = %client.barricade_planks;
	%bricks = %client.barricade_bricks;
	%logs = %client.barricade_logs;
	%braces = %client.barricade_braces;
	%nails = %client.barricade_nails;

	for(%i=0;%i<recipeSS.getCount();%i++)
	{
		%r = recipeSS.getObject(%i);
		
		if(%r.name !$= %bname)
		{
			continue;
		}
		
		%need1 = %r.planks != 0;
		%need2 = %r.bricks != 0;
		%need3 = %r.logs != 0;
		%need4 = %r.braces != 0;
		%need5 = %r.nails != 0;

		%got1 = false;
		%got2 = false;
		%got3 = false;
		%got4 = false;
		%got5 = false;

		if(%planks >= %r.planks && %need1)
		{
			%got1 = true;
		}
		if(%bricks >= %r.bricks && %need2)
		{
			%got2 = true;
		}
		if(%logs >= %r.logs && %need3)
		{
			%got3 = true;
		}
		if(%braces >= %r.braces && %need4)
		{
			%got4 = true;
		}
		if(%nails >= %r.nails && %need5)
		{
			%got5 = true;
		}
		%end = 1;
		for(%s = 1; %s <= 5; %s++)
		{
			%need = %need[%s];
			if(%need)
			{
				%got = %got[%s];
				%end = %end & %got;
			}
		}
		if(%end)
		{
			return true;
		}
	}
	return false;
}

function gameConnection::getCraftableBarricadesString(%client)
{
	%planks = %client.barricade_planks;
	%bricks = %client.barricade_bricks;
	%logs = %client.barricade_logs;
	%braces = %client.barricade_braces;
	%nails = %client.barricade_nails;

	for(%i=0;%i<recipeSS.getCount();%i++)
	{
		%r = recipeSS.getObject(%i);
		%name = %r.name;

		%need1 = %r.planks != 0;
		%need2 = %r.bricks != 0;
		%need3 = %r.logs != 0;
		%need4 = %r.braces != 0;
		%need5 = %r.nails != 0;

		%got1 = false;
		%got2 = false;
		%got3 = false;
		%got4 = false;
		%got5 = false;

		if(%planks >= %r.planks && %need1)
		{
			%got1 = true;
		}
		if(%bricks >= %r.bricks && %need2)
		{
			%got2 = true;
		}
		if(%logs >= %r.logs && %need3)
		{
			%got3 = true;
		}
		if(%braces >= %r.braces && %need4)
		{
			%got4 = true;
		}
		if(%nails >= %r.nails && %need5)
		{
			%got5 = true;
		}
		%end = 1;
		for(%s = 1; %s <= 5; %s++)
		{
			%need = %need[%s];
			if(%need)
			{
				%got = %got[%s];
				%end = %end & %got;
			}
		}
		if(%end)
		{
			%return = %return @ "\c4" @ %name @ " ";
		}
	}
	return trim(%return);
}

function gameConnection::messageBarricadeMaterials(%client)
{
	%return = "";
	for(%i=0;%i<recipeSS.getCount();%i++)
	{
		%r = recipeSS.getObject(%i);
		%name = %r.name;

		%return = "\c4" @ %name @ "\c6: " @ %r.planks @ "\c6 planks, " @ %r.bricks @ "\c6 bricks, " @ %r.logs @ "\c6 logs, " @ %r.braces @ "\c6 braces, " @ %r.nails @ "\c6 nails.";
		messageclient(%client, '', %return);
	}
}

function servercmdbarricade(%client, %command, %arg)
{
	switch$(%command)
	{
		case "inventory":
			if(%client.barricade_planks $= "")
			{
				%client.barricade_planks = 0;
			}
			if(%client.barricade_braces $= "")
			{
				%client.barricade_braces = 0;
			}
			if(%client.barricade_nails $= "")
			{
				%client.barricade_nails = 0;
			}
			if(%client.barricade_logs $= "")
			{
				%client.barricade_logs = 0;
			}
			if(%client.barricade_bricks $= "")
			{
				%client.barricade_bricks = 0;
			}
			messageclient(%client, '', "\c6Planks: \c3" @ %client.barricade_planks);
			messageclient(%client, '', "\c6Bricks: \c3" @ %client.barricade_bricks);
			messageclient(%client, '', "\c6Logs: \c3" @ %client.barricade_logs);
			messageclient(%client, '', "\c6Braces: \c3" @ %client.barricade_braces);
			messageclient(%client, '', "\c6Nails: \c3" @ %client.barricade_nails);
		case "make":
			if(!%client.canCraftBarricades())
			{
				messageclient(%client, '', "\c6You need more materials to make any barricades. \n\c6Use \c3/barricade materials \c6to see what materials are needed.");
			}
			else
			{
				switch(%arg)
				{
					case 1:
						if(%client.canCraftBarricade("weak"))
						{
							if(isObject(%client.player))
							{
								%flag = %client.player.setBarricade(1);
								if(%flag)
								{
									%client.subtractBarricadeMaterials("weak");
									messageclient(%client, '', "\c6You have spent some of your materials to make a \c3weak barricade\c6.");
								}
							}
						}
						else
						{
							messageclient(%client, '', "\c6You don't have enough materials to make a \c3weak barricade\c6.");
						}
					case 2:
						if(%client.canCraftBarricade("medium"))
						{
							if(isObject(%client.player))
							{
								%flag = %client.player.setBarricade(2);
								if(%flag)
								{
									%client.subtractBarricadeMaterials("medium");
									messageclient(%client, '', "\c6You have spent some of your materials to make a \c3medium barricade\c6.");
								}
							}
						}
						else
						{
							messageclient(%client, '', "\c6You don't have enough materials to make a \c3medium barricade\c6.");
						}
					case 3:
						if(%client.canCraftBarricade("strong"))
						{
							if(isObject(%client.player))
							{
								%flag = %client.player.setBarricade(3);
								if(%flag)
								{
									%client.subtractBarricadeMaterials("strong");
									messageclient(%client, '', "\c6You have spent some of your materials to make a \c3strong barricade\c6.");
								}
							}
						}
						else
						{
							messageclient(%client, '', "\c6You don't have enough materials to make a \c3strong barricade\c6.");
						}
					default:
						messageclient(%client, '', "\c6Unknown barricade type. Use\c3 /barricade help \c6for help.");
				}
			}
		case "materials":
			%client.messageBarricadeMaterials();
		case "help":
			messageclient(%client, '', "\c6To see the materials needed for making a barricade, say\c3 /barricade materials");
			messageclient(%client, '', "\c6To see your materials, say\c3 /barricade inventory");
			messageclient(%client, '', "\c6To place a barricade, say\c3 /barricade make <number> \c6where \c3<number>\c6 is the barricade type:");
			messageclient(%client, '', "\c31 \c6- weak barricade");
			messageclient(%client, '', "\c32 \c6- medium barricade");
			messageclient(%client, '', "\c33 \c6- strong barricade");
			messageclient(%client, '', "\c6To see this message again, say\c3 /barricade help");
		default:
			messageclient(%client, '', "\c3/barricade help");
			messageclient(%client, '', "\c3/barricade make <number>");
			messageclient(%client, '', "\c3/barricade materials");
			messageclient(%client, '', "\c3/barricade inventory");
			if(%client.canCraftBarricades())
			{
				%msg = "\n" @ "\c5You are able to make these barricades: " @ strReplace(%client.getCraftableBarricadesString(), " ", "\c3, \c4");
				messageclient(%client, '', %msg);
			}
	}
}