package barricade_gamemodezombie //for zombie gamemodes
{
	function ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm)
	{
		parent::onCollision(%this,%obj,%col,%fade,%pos,%norm);
		if(%col.getClassName() $= "staticShape")
		{
			%d = %col.getDataBlock();
			if(%d.isBarricade)
			{
				%obj.playthread(2,activate2);
				%obj.playaudio(1,ZombieAttackSound);
				%damage = %col.getDamage();
				if(%damage >= %d.maxDamage)
				{
					switch$(%col.getDataBlock().getName())
					{
						case "barricade_weak":
							%data = "barricade_weak_debrisProjectile";
						case "barricade_medium":
							%data = "barricade_medium_debrisProjectile";
						case "barricade_strong":
							%data = "barricade_strong_debrisProjectile";
					}
					new Projectile()
					{
						datablock = %data;
						initialPosition = %col.getPosition();
					};
					%col.delete();
					return;
				}
				else
				{
					%wear = %d.wearResist;
					%col.setDamage(%damage + (%obj.getdatablock().attackpower / %wear));
					%dmg = %col.getDamageCent();
					if(%dmg <= 0)
					{
						%dmg = 1;
					}
					%green = %dmg / 100;
					%red = 1.0 - %green;
					
					%col.setShapeName("Barricade (" @ %dmg @ "% health)");
					%col.setShapeNameColor(%red SPC %green @ " 0 1");
				}
			}
		}
	}
	function ZombieLOSCheck(%this,%obj) //I had to rewrite this because it included barricades (staticshapes) and zombies wouldn't find you behind them
	{
		if(isobject(%this))
		{
			%tPos = %this.getPosition();
		}
		if(isobject(%obj))
		{
			%oPos = %obj.getposition();
		}
		if(%obj.minigame.zombieIsPanic || %obj.minigame.zombieAlwaysFindPlayer || %obj.minigame.zombieDisableLosChecks)
		{
			return 1;
		}
		if(vectordist(%tpos,%opos) <= 3)
		{
			return 1;
		}
		%dis = VectorSub(%oPos, %tPos);
		%normVec = VectorNormalize(%dis);
	
		%eyevec = %normVec;
					
		%startPos = vectoradd(%tpos,"0 0 2");
		%endPos = VectorAdd(%startPos,vectorscale(%eyeVec,100));
	
		%mask = $TypeMasks::FxBrickObjectType | $typemasks::PlayerObjectType; //| $TypeMasks::InteriorObjectType; 
		%target = ContainerRayCast(%startPos, %endPos, %mask,%this);		//^^ripped out this because we don't have interiors and staticshapes were affected
	
		if(%target == %obj)
		{
			return 1;
		}
		else
		{
			return 0;
		}
	}
};
activatepackage(barricade_gamemodeZombie);